libabw::ABWOutputElements Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWOutputElements Class Reference

`#include <ABWOutputElements.h>`

## Public Member Functions
| ABWOutputElements ()
virtual | ~ABWOutputElements ()
void | append (const ABWOutputElements &elements)
void | write (librevenge::RVNGTextInterface *iface) const
void | addCloseEndnote ()
void | addCloseFooter ()
void | addCloseFootnote ()
void | addCloseFrame ()
void | addCloseHeader ()
void | addCloseLink ()
void | addCloseListElement ()
void | addCloseOrderedListLevel ()
void | addClosePageSpan ()
void | addCloseParagraph ()
void | addCloseSection ()
void | addCloseSpan ()
void | addCloseTable ()
void | addCloseTableCell ()
void | addCloseTableRow ()
void | addCloseUnorderedListLevel ()
void | addInsertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | addInsertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | addInsertLineBreak ()
void | addInsertSpace ()
void | addInsertTab ()
void | addInsertText (const librevenge::RVNGString &text)
void | addOpenEndnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFooter (const librevenge::RVNGPropertyList &propList, int id)
void | addOpenFootnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFrame (const librevenge::RVNGPropertyList &propList)
void | addOpenHeader (const librevenge::RVNGPropertyList &propList, int id)
void | addOpenLink (const librevenge::RVNGPropertyList &propList)
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addOpenOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addOpenPageSpan (const librevenge::RVNGPropertyList &propList, int footer, int footerLeft, int footerFirst, int footerLast, int header, int headerLeft, int headerFirst, int headerLast)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSection (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenTable (const librevenge::RVNGPropertyList &propList)
void | addOpenTableCell (const librevenge::RVNGPropertyList &propList)
void | addOpenTableRow (const librevenge::RVNGPropertyList &propList)
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addStartDocument (const librevenge::RVNGPropertyList &propList)
bool | empty () const

## Private Member Functions
| ABWOutputElements (const ABWOutputElements &)
ABWOutputElements & | operator= (const ABWOutputElements &)

## Private Attributes
std::list< ABWOutputElement * > | m_bodyElements
std::map< int, std::list< ABWOutputElement * > > | m_headerElements
std::map< int, std::list< ABWOutputElement * > > | m_footerElements
std::list< ABWOutputElement * > * | m_elements

## Constructor & Destructor Documentation

libabw::ABWOutputElements::ABWOutputElements | ( |  | ) |

libabw::ABWOutputElements::~ABWOutputElements | ( |  | ) |
| virtual

libabw::ABWOutputElements::ABWOutputElements | ( | const ABWOutputElements & |  | ) |
| private

## Member Function Documentation

void libabw::ABWOutputElements::addCloseEndnote | ( |  | ) |

void libabw::ABWOutputElements::addCloseFooter | ( |  | ) |

void libabw::ABWOutputElements::addCloseFootnote | ( |  | ) |

void libabw::ABWOutputElements::addCloseFrame | ( |  | ) |

void libabw::ABWOutputElements::addCloseHeader | ( |  | ) |

void libabw::ABWOutputElements::addCloseLink | ( |  | ) |

void libabw::ABWOutputElements::addCloseListElement | ( |  | ) |

void libabw::ABWOutputElements::addCloseOrderedListLevel | ( |  | ) |

void libabw::ABWOutputElements::addClosePageSpan | ( |  | ) |

void libabw::ABWOutputElements::addCloseParagraph | ( |  | ) |

void libabw::ABWOutputElements::addCloseSection | ( |  | ) |

void libabw::ABWOutputElements::addCloseSpan | ( |  | ) |

void libabw::ABWOutputElements::addCloseTable | ( |  | ) |

void libabw::ABWOutputElements::addCloseTableCell | ( |  | ) |

void libabw::ABWOutputElements::addCloseTableRow | ( |  | ) |

void libabw::ABWOutputElements::addCloseUnorderedListLevel | ( |  | ) |

void libabw::ABWOutputElements::addInsertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addInsertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addInsertLineBreak | ( |  | ) |

void libabw::ABWOutputElements::addInsertSpace | ( |  | ) |

void libabw::ABWOutputElements::addInsertTab | ( |  | ) |

void libabw::ABWOutputElements::addInsertText | ( | const librevenge::RVNGString & | text | ) |

void libabw::ABWOutputElements::addOpenEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenFooter | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | id
| ) |  |

void libabw::ABWOutputElements::addOpenFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenHeader | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | id
| ) |  |

void libabw::ABWOutputElements::addOpenLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenPageSpan | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | footer,
|  | int | footerLeft,
|  | int | footerFirst,
|  | int | footerLast,
|  | int | header,
|  | int | headerLeft,
|  | int | headerFirst,
|  | int | headerLast
| ) |  |

void libabw::ABWOutputElements::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::addStartDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libabw::ABWOutputElements::append | ( | const ABWOutputElements & | elements | ) |

bool libabw::ABWOutputElements::empty | ( |  | ) | const
| inline

ABWOutputElements& libabw::ABWOutputElements::operator= | ( | const ABWOutputElements & |  | ) |
| private

void libabw::ABWOutputElements::write | ( | librevenge::RVNGTextInterface * | iface | ) | const

## Member Data Documentation

std::list<ABWOutputElement *> libabw::ABWOutputElements::m_bodyElements
| private

Referenced by ABWOutputElements(), and empty().

std::list<ABWOutputElement *>* libabw::ABWOutputElements::m_elements
| private

Referenced by ABWOutputElements().

std::map<int, std::list<ABWOutputElement *> > libabw::ABWOutputElements::m_footerElements
| private

std::map<int, std::list<ABWOutputElement *> > libabw::ABWOutputElements::m_headerElements
| private

The documentation for this class was generated from the following files:

- ABWOutputElements.h
- ABWOutputElements.cpp